Summary:	Image viewing utility
Name:		gliv
Version:	1.9.7
Release:	1%{?dist}
License:	GPLv2+
Group:		Applications/Multimedia
URL:		http://guichaz.free.fr/gliv/
Source0:	http://guichaz.free.fr/gliv/files/%{name}-%{version}.tar.bz2
Source1:	gliv.desktop
Source2:	gliv.applications
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel >= 2.6.0
BuildRequires:	gtkglext-devel >= 0.7.0
BuildRequires:	desktop-file-utils


%description
GLiv is an OpenGL image viewer. GLiv is very fast and smooth at rotating,
panning and zooming if you have an OpenGL accelerated graphics board.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

install -D -p -m 0644 %{SOURCE2}  %{buildroot}%{_datadir}/application-registry/gliv.applications

install -D -p -m 0644 gliv.png %{buildroot}%{_datadir}/pixmaps/gliv.png

install -d -m0755 %{buildroot}%{_datadir}/applications/
desktop-file-install \
	--vendor fedora \
	--dir %{buildroot}%{_datadir}/applications \
	%{SOURCE1}


%clean
rm -rf %{buildroot}


%post
update-desktop-database &> /dev/null ||:


%postun
update-desktop-database &> /dev/null ||:


%files -f %{name}.lang
%defattr(-, root, root, -)
%doc COPYING NEWS README THANKS
%{_mandir}/man1/gliv.1*
%{_mandir}/*/man1/gliv.1*
%{_bindir}/gliv
%{_datadir}/applications/*-gliv.desktop
%{_datadir}/application-registry/gliv.applications
%{_datadir}/pixmaps/gliv.png


%changelog
* Sat Jan 15 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.9.7-1
- Ver 1.9.7
- The only patch was dropped (merged upstream)

* Mon Aug 30 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.9.6-6
- Fixed segfault (see rhbz #628224).
- Cleaned up spec-file a little

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  9 2008 Peter Lemenkov <lemenkov@gmail.com> - 1.9.6-3
- Updated version tag.
- Rebuild for GCC 4.3

* Wed Nov 22 2006 Peter Lemenkov <lemenkov@gmail.com> - 1.9.6-2
- Spec cleanup

* Wed Nov 22 2006 Peter Lemenkov <lemenkov@gmail.com> - 1.9.6-1
- Upgrade to ver. 1.9.6
- Missing BR added

* Tue Nov 21 2006 Peter Lemenkov <lemenkov@gmail.com> - 1.9.5-2
- Little cleanups in spec file

* Sun May 28 2006 Adrien BUSTANY <madcat@mymadcat.com> - 1.9.5-1
- Updated to release 1.9.5

* Fri May 27 2005 Dag Wieers <dag@wieers.com> - 1.9.3-1 - 3051+/dag
- Updated to release 1.9.3.

* Tue Mar 22 2005 Dag Wieers <dag@wieers.com> - 1.9.2-1
- Updated to release 1.9.2.

* Wed Jan 05 2005 Dag Wieers <dag@wieers.com> - 1.9.1-1
- Updated to release 1.9.1.

* Thu Aug 05 2004 Dag Wieers <dag@wieers.com> - 1.8.4-1
- Updated to release 1.8.4.

* Thu Jun 24 2004 Dag Wieers <dag@wieers.com> - 1.8.3-1
- Updated to release 1.8.3.

* Sat Feb 07 2004 Dag Wieers <dag@wieers.com> - 1.8.1-0
- Updated to release 1.8.1.

* Sat Jan 24 2004 Dag Wieers <dag@wieers.com> - 1.8-0
- Initial package. (using DAR)
